import { Marker, Renderer, Cluster, ClusterStats } from '@googlemaps/markerclusterer';
import { ClusteredMarkersOptions } from '../../types';
export declare class CustomClusterRenderer implements Renderer {
    private options;
    private defaultRenderer;
    constructor(options: ClusteredMarkersOptions);
    render(cluster: Cluster, stats: ClusterStats, map: google.maps.Map): Marker;
}
